import React from 'react';
import './App.css';
import { BrowserRouter as Router, Route, Link, Routes, useNavigate} from "react-router-dom";
import Dashboard from "./Dashboard";
import Employee from "./Employee";
import Customer from "./Customer";
import CustomerList from "./Customer/CustomerList";
import UserInfo from "./UserInfo";

function App(props) {
  return (
    <div className="App">
      <h2>Pass and Access Data From One Route to Another::webrecto.com</h2>
      <Router>
        <div>
          <nav>
            <ul>
              <li><Link to="/">Dashboard</Link></li>
              <li><Link to="/employee" state={{ state: { name: "Shobhit", city: "Noida", compName: "WebRecto" }}}>Employee</Link></li>
              <li><Link to="/customer">Customer</Link></li>
            </ul>
          </nav>
          <Routes>
            <Route path="/" element={<Dashboard />} />
            <Route path="/employee" element={<Employee />} />
            <Route path="/customer" element={<Customer />} />
            <Route path="/customerlist" element={<CustomerList />} />
            <Route path="/userinfo/:username" element={<UserInfo />} />
          </Routes>
        </div>
      </Router>
    </div>
  );
}

export default App;